DS_ALLOC_PACKET(3)

FUNCTION
ds_alloc_packet - Allocate packet.

SYNOPSIS
#include <karma_ds.h>

char * ds_alloc_packet

(packet_desc *pack_desc)

DESCRIPTION
This routine will allocate memory for a packet. This routine is NOT recursive (i.e. sub arrays and linked lists are not allocated). The elements of the packet will be set to zero (for all types).

pack_desc
    The packet descriptor.

RETURN VALUE
A pointer to the packet on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/